| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- Namespace List
- Namespace Members

# Genfun::GaudiMathImplementation Namespace Reference

## Classes
class | Constant
| Fixed constant function. More...
class | AdapterIFunction
| constructor from the IFunction ( see AIDA/IFunction.h) More...
class | Adapter2DoubleFunction
| constructor from the trivial function with two argument More...
class | Adapter3DoubleFunction
| constructor from the trivial function with two argument More...
class | SimpleFunction
| Author: Ivan BELYAEV More...
class | GSLFunctionWithError
class | GSLFunctionWithMode
class | GSLFunctionWithModeAndError
class | NumericalDefiniteIntegral
| This class allows the numerical evaluation of the following functions:. More...
class | NumericalDerivative
| Numerical derivative (using GSL adaptive numerical differentiation). More...
class | NumericalIndefiniteIntegral
| The simple class for numerical integrations. More...
class | SplineBase
class | GSLSpline
class | GSLSplineDeriv
class | GSLSplineDeriv2
class | GSLSplineInteg
class | GSL_Helper
| the simple structure to be used for adaption interface `Genfun::AbsFunction` to `gsl_function` structure More...
## Typedefs
typedef Genfun::GaudiMathImplementation::SimpleFunction | GSLFunction
| the actual type for primitive adaptor
## Functions
| FUNCTION_OBJECT_IMP (AdapterIFunction)
| FUNCTION_OBJECT_IMP (Adapter2DoubleFunction)
| FUNCTION_OBJECT_IMP (Adapter3DoubleFunction)
| FUNCTION_OBJECT_IMP (SimpleFunction)
| from CLHGEP/GenericFunctions
| FUNCTION_OBJECT_IMP (Constant)
| from CLHGEP/GenericFunctions
| FUNCTION_OBJECT_IMP (GSLFunctionWithError)
| FUNCTION_OBJECT_IMP (GSLFunctionWithMode)
| FUNCTION_OBJECT_IMP (GSLFunctionWithModeAndError)
double | GSL_Adaptor (double x, void *params)
| FUNCTION_OBJECT_IMP (NumericalDefiniteIntegral)
| from CLHEP/GenericFunctions
| FUNCTION_OBJECT_IMP (NumericalDerivative)
| from CLHEP/GenericFunctions
| FUNCTION_OBJECT_IMP (NumericalIndefiniteIntegral)
| from CLHEP/GenericFunctions
| FUNCTION_OBJECT_IMP (GSLSpline)
| FUNCTION_OBJECT_IMP (GSLSplineDeriv)
| FUNCTION_OBJECT_IMP (GSLSplineDeriv2)
| FUNCTION_OBJECT_IMP (GSLSplineInteg)

## Typedef Documentation

typedef Genfun::GaudiMathImplementation::SimpleFunction Genfun::GaudiMathImplementation::GSLFunction

the actual type for primitive adaptor

Definition at line 29 of file GSLFunAdapters.h.

## Function Documentation

Genfun::GaudiMathImplementation::FUNCTION_OBJECT_IMP | ( | GSLSplineInteg |  | ) |

Genfun::GaudiMathImplementation::FUNCTION_OBJECT_IMP | ( | GSLSplineDeriv2 |  | ) |

Genfun::GaudiMathImplementation::FUNCTION_OBJECT_IMP | ( | GSLSplineDeriv |  | ) |

Genfun::GaudiMathImplementation::FUNCTION_OBJECT_IMP | ( | GSLSpline |  | ) |

Genfun::GaudiMathImplementation::FUNCTION_OBJECT_IMP | ( | NumericalIndefiniteIntegral |  | ) |

from CLHEP/GenericFunctions

Genfun::GaudiMathImplementation::FUNCTION_OBJECT_IMP | ( | NumericalDerivative |  | ) |

from CLHEP/GenericFunctions

Genfun::GaudiMathImplementation::FUNCTION_OBJECT_IMP | ( | NumericalDefiniteIntegral |  | ) |

from CLHEP/GenericFunctions

Genfun::GaudiMathImplementation::FUNCTION_OBJECT_IMP | ( | GSLFunctionWithModeAndError |  | ) |

Genfun::GaudiMathImplementation::FUNCTION_OBJECT_IMP | ( | GSLFunctionWithMode |  | ) |

Genfun::GaudiMathImplementation::FUNCTION_OBJECT_IMP | ( | GSLFunctionWithError |  | ) |

Genfun::GaudiMathImplementation::FUNCTION_OBJECT_IMP | ( | Constant |  | ) |

from CLHGEP/GenericFunctions

Genfun::GaudiMathImplementation::FUNCTION_OBJECT_IMP | ( | SimpleFunction |  | ) |

from CLHGEP/GenericFunctions

Genfun::GaudiMathImplementation::FUNCTION_OBJECT_IMP | ( | Adapter3DoubleFunction |  | ) |

Genfun::GaudiMathImplementation::FUNCTION_OBJECT_IMP | ( | Adapter2DoubleFunction |  | ) |

Genfun::GaudiMathImplementation::FUNCTION_OBJECT_IMP | ( | AdapterIFunction |  | ) |

double Genfun::GaudiMathImplementation::GSL_Adaptor | ( | double | x,
|  | void * | params |
| ) |  |  |

Definition at line 35 of file Helpers.cpp.

Referenced by Genfun::GaudiMathImplementation::NumericalIndefiniteIntegral::operator()(), Genfun::GaudiMathImplementation::NumericalDerivative::operator()(), and Genfun::GaudiMathImplementation::NumericalDefiniteIntegral::operator()().

    00036     {
    00037       // get parameters
    00038       GSL_Helper* aux = (GSL_Helper*) params ;
    00039       // decode parameters
    00040       const Genfun::AbsFunction& function = aux -> m_function  ;
    00041       const size_t               index    = aux -> m_index     ;
    00042       Genfun::Argument&          argument = aux -> m_argument  ;
    00043       // save the current value of argument
    00044       const double x_prev = argument[index] ;
    00045       // modify the argument
    00046       argument[index]= x       ;
    00047       // evaluate the function
    00048       const double fun = function( argument ) ;
    00049       // restore the argument
    00050       argument[index] = x_prev  ;
    00051       return fun ;
    00052     };